<?php
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *                                   ATTENTION!
 * If you see this message in your browser (Internet Explorer, Mozilla Firefox, Google Chrome, etc.)
 * this means that PHP is not properly installed on your web server. Please refer to the PHP manual
 * for more details: http://php.net/manual/install.php 
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

    include_once dirname(__FILE__) . '/components/startup.php';
    include_once dirname(__FILE__) . '/components/application.php';
    include_once dirname(__FILE__) . '/' . 'authorization.php';


    include_once dirname(__FILE__) . '/' . 'database_engine/pgsql_engine.php';
    include_once dirname(__FILE__) . '/' . 'components/page/page_includes.php';

    function GetConnectionOptions()
    {
        $result = GetGlobalConnectionOptions();
        $result['client_encoding'] = 'utf8';
        GetApplication()->GetUserAuthentication()->applyIdentityToConnectionOptions($result);
        return $result;
    }

    
    
    
    // OnBeforePageExecute event handler
    
    
    
    class public_tariff_edm_waste_catalogPage extends Page
    {
        protected function DoBeforeCreate()
        {
            $this->SetTitle('');
            $this->SetMenuLabel('Abfallkatalog');
            $this->SetHeader(GetPagesHeader());
            $this->SetFooter(GetPagesFooter());
    
            $this->dataset = new TableDataset(
                PgConnectionFactory::getInstance(),
                GetConnectionOptions(),
                '"public"."tariff_edm_waste_catalog"');
            $this->dataset->addFields(
                array(
                    new StringField('waste_nr'),
                    new StringField('sp_nr'),
                    new StringField('dangerous_good'),
                    new StringField('description'),
                    new StringField('dangerous_description'),
                    new StringField('dangerous_sn'),
                    new StringField('nondangerous_sn'),
                    new StringField('remark'),
                    new StringField('gtin', true, true),
                    new StringField('valid_from'),
                    new StringField('valid_to')
                )
            );
        }
    
        protected function DoPrepare() {
    
        }
    
        protected function CreatePageNavigator()
        {
            $result = new CompositePageNavigator($this);
            
            $partitionNavigator = new PageNavigator('pnav', $this, $this->dataset);
            $partitionNavigator->SetRowsPerPage(10);
            $result->AddPageNavigator($partitionNavigator);
            
            return $result;
        }
    
        protected function CreateRssGenerator()
        {
            return null;
        }
    
        protected function setupCharts()
        {
    
        }
    
        protected function getFiltersColumns()
        {
            return array(
                new FilterColumn($this->dataset, 'waste_nr', 'waste_nr', 'Abfallnummer'),
                new FilterColumn($this->dataset, 'sp_nr', 'sp_nr', 'Spezifizierung'),
                new FilterColumn($this->dataset, 'dangerous_good', 'dangerous_good', 'g/gn'),
                new FilterColumn($this->dataset, 'description', 'description', 'Bezeichnung'),
                new FilterColumn($this->dataset, 'dangerous_description', 'dangerous_description', 'g Text'),
                new FilterColumn($this->dataset, 'dangerous_sn', 'dangerous_sn', 'g Seriennummer'),
                new FilterColumn($this->dataset, 'nondangerous_sn', 'nondangerous_sn', 'ng Seriennummer'),
                new FilterColumn($this->dataset, 'remark', 'remark', 'Bemerkung'),
                new FilterColumn($this->dataset, 'gtin', 'gtin', 'GTIN'),
                new FilterColumn($this->dataset, 'valid_from', 'valid_from', 'gültig von'),
                new FilterColumn($this->dataset, 'valid_to', 'valid_to', 'gültig bis')
            );
        }
    
        protected function setupQuickFilter(QuickFilter $quickFilter, FixedKeysArray $columns)
        {
            $quickFilter
                ->addColumn($columns['waste_nr'])
                ->addColumn($columns['sp_nr'])
                ->addColumn($columns['dangerous_good'])
                ->addColumn($columns['description'])
                ->addColumn($columns['dangerous_description'])
                ->addColumn($columns['dangerous_sn'])
                ->addColumn($columns['nondangerous_sn'])
                ->addColumn($columns['gtin'])
                ->addColumn($columns['valid_from'])
                ->addColumn($columns['valid_to'])
                ->addColumn($columns['remark']);
        }
    
        protected function setupColumnFilter(ColumnFilter $columnFilter)
        {
            $columnFilter
                ->setOptionsFor('waste_nr')
                ->setOptionsFor('sp_nr')
                ->setOptionsFor('description')
                ->setOptionsFor('gtin')
                ->setOptionsFor('valid_to');
        }
    
        protected function setupFilterBuilder(FilterBuilder $filterBuilder, FixedKeysArray $columns)
        {
            $main_editor = new TextEdit('waste_nr_edit');
            
            $filterBuilder->addColumn(
                $columns['waste_nr'],
                array(
                    FilterConditionOperator::EQUALS => $main_editor,
                    FilterConditionOperator::DOES_NOT_EQUAL => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_BETWEEN => $main_editor,
                    FilterConditionOperator::IS_NOT_BETWEEN => $main_editor,
                    FilterConditionOperator::CONTAINS => $main_editor,
                    FilterConditionOperator::DOES_NOT_CONTAIN => $main_editor,
                    FilterConditionOperator::BEGINS_WITH => $main_editor,
                    FilterConditionOperator::ENDS_WITH => $main_editor,
                    FilterConditionOperator::IS_LIKE => $main_editor,
                    FilterConditionOperator::IS_NOT_LIKE => $main_editor,
                    FilterConditionOperator::IS_BLANK => null,
                    FilterConditionOperator::IS_NOT_BLANK => null
                )
            );
            
            $main_editor = new TextEdit('sp_nr_edit');
            
            $filterBuilder->addColumn(
                $columns['sp_nr'],
                array(
                    FilterConditionOperator::EQUALS => $main_editor,
                    FilterConditionOperator::DOES_NOT_EQUAL => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_BETWEEN => $main_editor,
                    FilterConditionOperator::IS_NOT_BETWEEN => $main_editor,
                    FilterConditionOperator::CONTAINS => $main_editor,
                    FilterConditionOperator::DOES_NOT_CONTAIN => $main_editor,
                    FilterConditionOperator::BEGINS_WITH => $main_editor,
                    FilterConditionOperator::ENDS_WITH => $main_editor,
                    FilterConditionOperator::IS_LIKE => $main_editor,
                    FilterConditionOperator::IS_NOT_LIKE => $main_editor,
                    FilterConditionOperator::IS_BLANK => null,
                    FilterConditionOperator::IS_NOT_BLANK => null
                )
            );
            
            $main_editor = new TextEdit('dangerous_good_edit');
            
            $filterBuilder->addColumn(
                $columns['dangerous_good'],
                array(
                    FilterConditionOperator::EQUALS => $main_editor,
                    FilterConditionOperator::DOES_NOT_EQUAL => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_BETWEEN => $main_editor,
                    FilterConditionOperator::IS_NOT_BETWEEN => $main_editor,
                    FilterConditionOperator::CONTAINS => $main_editor,
                    FilterConditionOperator::DOES_NOT_CONTAIN => $main_editor,
                    FilterConditionOperator::BEGINS_WITH => $main_editor,
                    FilterConditionOperator::ENDS_WITH => $main_editor,
                    FilterConditionOperator::IS_LIKE => $main_editor,
                    FilterConditionOperator::IS_NOT_LIKE => $main_editor,
                    FilterConditionOperator::IS_BLANK => null,
                    FilterConditionOperator::IS_NOT_BLANK => null
                )
            );
            
            $main_editor = new TextEdit('description_edit');
            
            $filterBuilder->addColumn(
                $columns['description'],
                array(
                    FilterConditionOperator::EQUALS => $main_editor,
                    FilterConditionOperator::DOES_NOT_EQUAL => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_BETWEEN => $main_editor,
                    FilterConditionOperator::IS_NOT_BETWEEN => $main_editor,
                    FilterConditionOperator::CONTAINS => $main_editor,
                    FilterConditionOperator::DOES_NOT_CONTAIN => $main_editor,
                    FilterConditionOperator::BEGINS_WITH => $main_editor,
                    FilterConditionOperator::ENDS_WITH => $main_editor,
                    FilterConditionOperator::IS_LIKE => $main_editor,
                    FilterConditionOperator::IS_NOT_LIKE => $main_editor,
                    FilterConditionOperator::IS_BLANK => null,
                    FilterConditionOperator::IS_NOT_BLANK => null
                )
            );
            
            $main_editor = new TextEdit('dangerous_description_edit');
            
            $filterBuilder->addColumn(
                $columns['dangerous_description'],
                array(
                    FilterConditionOperator::EQUALS => $main_editor,
                    FilterConditionOperator::DOES_NOT_EQUAL => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_BETWEEN => $main_editor,
                    FilterConditionOperator::IS_NOT_BETWEEN => $main_editor,
                    FilterConditionOperator::CONTAINS => $main_editor,
                    FilterConditionOperator::DOES_NOT_CONTAIN => $main_editor,
                    FilterConditionOperator::BEGINS_WITH => $main_editor,
                    FilterConditionOperator::ENDS_WITH => $main_editor,
                    FilterConditionOperator::IS_LIKE => $main_editor,
                    FilterConditionOperator::IS_NOT_LIKE => $main_editor,
                    FilterConditionOperator::IS_BLANK => null,
                    FilterConditionOperator::IS_NOT_BLANK => null
                )
            );
            
            $main_editor = new TextEdit('dangerous_sn_edit');
            
            $filterBuilder->addColumn(
                $columns['dangerous_sn'],
                array(
                    FilterConditionOperator::EQUALS => $main_editor,
                    FilterConditionOperator::DOES_NOT_EQUAL => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_BETWEEN => $main_editor,
                    FilterConditionOperator::IS_NOT_BETWEEN => $main_editor,
                    FilterConditionOperator::CONTAINS => $main_editor,
                    FilterConditionOperator::DOES_NOT_CONTAIN => $main_editor,
                    FilterConditionOperator::BEGINS_WITH => $main_editor,
                    FilterConditionOperator::ENDS_WITH => $main_editor,
                    FilterConditionOperator::IS_LIKE => $main_editor,
                    FilterConditionOperator::IS_NOT_LIKE => $main_editor,
                    FilterConditionOperator::IS_BLANK => null,
                    FilterConditionOperator::IS_NOT_BLANK => null
                )
            );
            
            $main_editor = new TextEdit('nondangerous_sn_edit');
            
            $filterBuilder->addColumn(
                $columns['nondangerous_sn'],
                array(
                    FilterConditionOperator::EQUALS => $main_editor,
                    FilterConditionOperator::DOES_NOT_EQUAL => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_BETWEEN => $main_editor,
                    FilterConditionOperator::IS_NOT_BETWEEN => $main_editor,
                    FilterConditionOperator::CONTAINS => $main_editor,
                    FilterConditionOperator::DOES_NOT_CONTAIN => $main_editor,
                    FilterConditionOperator::BEGINS_WITH => $main_editor,
                    FilterConditionOperator::ENDS_WITH => $main_editor,
                    FilterConditionOperator::IS_LIKE => $main_editor,
                    FilterConditionOperator::IS_NOT_LIKE => $main_editor,
                    FilterConditionOperator::IS_BLANK => null,
                    FilterConditionOperator::IS_NOT_BLANK => null
                )
            );
            
            $main_editor = new TextEdit('remark');
            
            $filterBuilder->addColumn(
                $columns['remark'],
                array(
                    FilterConditionOperator::EQUALS => $main_editor,
                    FilterConditionOperator::DOES_NOT_EQUAL => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_BETWEEN => $main_editor,
                    FilterConditionOperator::IS_NOT_BETWEEN => $main_editor,
                    FilterConditionOperator::CONTAINS => $main_editor,
                    FilterConditionOperator::DOES_NOT_CONTAIN => $main_editor,
                    FilterConditionOperator::BEGINS_WITH => $main_editor,
                    FilterConditionOperator::ENDS_WITH => $main_editor,
                    FilterConditionOperator::IS_LIKE => $main_editor,
                    FilterConditionOperator::IS_NOT_LIKE => $main_editor,
                    FilterConditionOperator::IS_BLANK => null,
                    FilterConditionOperator::IS_NOT_BLANK => null
                )
            );
            
            $main_editor = new TextEdit('gtin_edit');
            
            $filterBuilder->addColumn(
                $columns['gtin'],
                array(
                    FilterConditionOperator::EQUALS => $main_editor,
                    FilterConditionOperator::DOES_NOT_EQUAL => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_BETWEEN => $main_editor,
                    FilterConditionOperator::IS_NOT_BETWEEN => $main_editor,
                    FilterConditionOperator::CONTAINS => $main_editor,
                    FilterConditionOperator::DOES_NOT_CONTAIN => $main_editor,
                    FilterConditionOperator::BEGINS_WITH => $main_editor,
                    FilterConditionOperator::ENDS_WITH => $main_editor,
                    FilterConditionOperator::IS_LIKE => $main_editor,
                    FilterConditionOperator::IS_NOT_LIKE => $main_editor,
                    FilterConditionOperator::IS_BLANK => null,
                    FilterConditionOperator::IS_NOT_BLANK => null
                )
            );
            
            $main_editor = new TextEdit('valid_from_edit');
            
            $filterBuilder->addColumn(
                $columns['valid_from'],
                array(
                    FilterConditionOperator::EQUALS => $main_editor,
                    FilterConditionOperator::DOES_NOT_EQUAL => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_BETWEEN => $main_editor,
                    FilterConditionOperator::IS_NOT_BETWEEN => $main_editor,
                    FilterConditionOperator::CONTAINS => $main_editor,
                    FilterConditionOperator::DOES_NOT_CONTAIN => $main_editor,
                    FilterConditionOperator::BEGINS_WITH => $main_editor,
                    FilterConditionOperator::ENDS_WITH => $main_editor,
                    FilterConditionOperator::IS_LIKE => $main_editor,
                    FilterConditionOperator::IS_NOT_LIKE => $main_editor,
                    FilterConditionOperator::IS_BLANK => null,
                    FilterConditionOperator::IS_NOT_BLANK => null
                )
            );
            
            $main_editor = new TextEdit('valid_to_edit');
            
            $filterBuilder->addColumn(
                $columns['valid_to'],
                array(
                    FilterConditionOperator::EQUALS => $main_editor,
                    FilterConditionOperator::DOES_NOT_EQUAL => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN => $main_editor,
                    FilterConditionOperator::IS_GREATER_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN => $main_editor,
                    FilterConditionOperator::IS_LESS_THAN_OR_EQUAL_TO => $main_editor,
                    FilterConditionOperator::IS_BETWEEN => $main_editor,
                    FilterConditionOperator::IS_NOT_BETWEEN => $main_editor,
                    FilterConditionOperator::CONTAINS => $main_editor,
                    FilterConditionOperator::DOES_NOT_CONTAIN => $main_editor,
                    FilterConditionOperator::BEGINS_WITH => $main_editor,
                    FilterConditionOperator::ENDS_WITH => $main_editor,
                    FilterConditionOperator::IS_LIKE => $main_editor,
                    FilterConditionOperator::IS_NOT_LIKE => $main_editor,
                    FilterConditionOperator::IS_BLANK => null,
                    FilterConditionOperator::IS_NOT_BLANK => null
                )
            );
        }
    
        protected function AddOperationsColumns(Grid $grid)
        {
            $actions = $grid->getActions();
            $actions->setCaption($this->GetLocalizerCaptions()->GetMessageString('Actions'));
            $actions->setPosition(ActionList::POSITION_LEFT);
            
            if ($this->GetSecurityInfo()->HasViewGrant())
            {
                $operation = new AjaxOperation(OPERATION_VIEW,
                    $this->GetLocalizerCaptions()->GetMessageString('View'),
                    $this->GetLocalizerCaptions()->GetMessageString('View'), $this->dataset,
                    $this->GetModalGridViewHandler(), $grid);
                $operation->setUseImage(true);
                $actions->addOperation($operation);
            }
            
            if ($this->GetSecurityInfo()->HasEditGrant())
            {
                $operation = new AjaxOperation(OPERATION_EDIT,
                    $this->GetLocalizerCaptions()->GetMessageString('Edit'),
                    $this->GetLocalizerCaptions()->GetMessageString('Edit'), $this->dataset,
                    $this->GetGridEditHandler(), $grid);
                $operation->setUseImage(true);
                $actions->addOperation($operation);
                $operation->OnShow->AddListener('ShowEditButtonHandler', $this);
            }
            
            if ($this->GetSecurityInfo()->HasDeleteGrant())
            {
                $operation = new LinkOperation($this->GetLocalizerCaptions()->GetMessageString('Delete'), OPERATION_DELETE, $this->dataset, $grid);
                $operation->setUseImage(true);
                $actions->addOperation($operation);
                $operation->OnShow->AddListener('ShowDeleteButtonHandler', $this);
                $operation->SetAdditionalAttribute('data-modal-operation', 'delete');
                $operation->SetAdditionalAttribute('data-delete-handler-name', $this->GetModalGridDeleteHandler());
            }
        }
    
        protected function AddFieldColumns(Grid $grid, $withDetails = true)
        {
            //
            // View column for waste_nr field
            //
            $column = new TextViewColumn('waste_nr', 'waste_nr', 'Abfallnummer', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_waste_nr_handler_list');
            $column->setMinimalVisibility(ColumnVisibility::PHONE);
            $column->SetDescription('');
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
            
            //
            // View column for sp_nr field
            //
            $column = new TextViewColumn('sp_nr', 'sp_nr', 'Spezifizierung', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_sp_nr_handler_list');
            $column->setMinimalVisibility(ColumnVisibility::PHONE);
            $column->SetDescription('');
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
            
            //
            // View column for dangerous_good field
            //
            $column = new TextViewColumn('dangerous_good', 'dangerous_good', 'g/gn', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_dangerous_good_handler_list');
            $column->setMinimalVisibility(ColumnVisibility::PHONE);
            $column->SetDescription('');
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
            
            //
            // View column for description field
            //
            $column = new TextViewColumn('description', 'description', 'Bezeichnung', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_description_handler_list');
            $column->setMinimalVisibility(ColumnVisibility::PHONE);
            $column->SetDescription('');
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
            
            //
            // View column for dangerous_sn field
            //
            $column = new TextViewColumn('dangerous_sn', 'dangerous_sn', 'g Seriennummer', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_dangerous_sn_handler_list');
            $column->setMinimalVisibility(ColumnVisibility::PHONE);
            $column->SetDescription('');
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
            
            //
            // View column for nondangerous_sn field
            //
            $column = new TextViewColumn('nondangerous_sn', 'nondangerous_sn', 'ng Seriennummer', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_nondangerous_sn_handler_list');
            $column->setMinimalVisibility(ColumnVisibility::PHONE);
            $column->SetDescription('');
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
            
            //
            // View column for gtin field
            //
            $column = new TextViewColumn('gtin', 'gtin', 'GTIN', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_gtin_handler_list');
            $column->setMinimalVisibility(ColumnVisibility::PHONE);
            $column->SetDescription('');
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
            
            //
            // View column for valid_to field
            //
            $column = new TextViewColumn('valid_to', 'valid_to', 'gültig bis', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_valid_to_handler_list');
            $column->setMinimalVisibility(ColumnVisibility::PHONE);
            $column->SetDescription('');
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
        }
    
        protected function AddSingleRecordViewColumns(Grid $grid)
        {
            //
            // View column for waste_nr field
            //
            $column = new TextViewColumn('waste_nr', 'waste_nr', 'Abfallnummer', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_waste_nr_handler_view');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for sp_nr field
            //
            $column = new TextViewColumn('sp_nr', 'sp_nr', 'Spezifizierung', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_sp_nr_handler_view');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for dangerous_good field
            //
            $column = new TextViewColumn('dangerous_good', 'dangerous_good', 'g/gn', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_dangerous_good_handler_view');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for description field
            //
            $column = new TextViewColumn('description', 'description', 'Bezeichnung', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_description_handler_view');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for dangerous_description field
            //
            $column = new TextViewColumn('dangerous_description', 'dangerous_description', 'g Text', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_dangerous_description_handler_view');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for dangerous_sn field
            //
            $column = new TextViewColumn('dangerous_sn', 'dangerous_sn', 'g Seriennummer', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_dangerous_sn_handler_view');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for nondangerous_sn field
            //
            $column = new TextViewColumn('nondangerous_sn', 'nondangerous_sn', 'ng Seriennummer', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_nondangerous_sn_handler_view');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for remark field
            //
            $column = new TextViewColumn('remark', 'remark', 'Bemerkung', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_remark_handler_view');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for gtin field
            //
            $column = new TextViewColumn('gtin', 'gtin', 'GTIN', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_gtin_handler_view');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for valid_from field
            //
            $column = new TextViewColumn('valid_from', 'valid_from', 'gültig von', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_valid_from_handler_view');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for valid_to field
            //
            $column = new TextViewColumn('valid_to', 'valid_to', 'gültig bis', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_valid_to_handler_view');
            $grid->AddSingleRecordViewColumn($column);
        }
    
        protected function AddEditColumns(Grid $grid)
        {
            //
            // Edit column for waste_nr field
            //
            $editor = new TextEdit('waste_nr_edit');
            $editColumn = new CustomEditColumn('Abfallnummer', 'waste_nr', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for sp_nr field
            //
            $editor = new TextEdit('sp_nr_edit');
            $editColumn = new CustomEditColumn('Spezifizierung', 'sp_nr', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for dangerous_good field
            //
            $editor = new TextEdit('dangerous_good_edit');
            $editColumn = new CustomEditColumn('g/gn', 'dangerous_good', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for description field
            //
            $editor = new TextEdit('description_edit');
            $editColumn = new CustomEditColumn('Bezeichnung', 'description', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for dangerous_description field
            //
            $editor = new TextEdit('dangerous_description_edit');
            $editColumn = new CustomEditColumn('g Text', 'dangerous_description', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for dangerous_sn field
            //
            $editor = new TextEdit('dangerous_sn_edit');
            $editColumn = new CustomEditColumn('g Seriennummer', 'dangerous_sn', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for nondangerous_sn field
            //
            $editor = new TextEdit('nondangerous_sn_edit');
            $editColumn = new CustomEditColumn('ng Seriennummer', 'nondangerous_sn', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for remark field
            //
            $editor = new TextAreaEdit('remark_edit', 50, 8);
            $editColumn = new CustomEditColumn('Bemerkung', 'remark', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for gtin field
            //
            $editor = new TextEdit('gtin_edit');
            $editColumn = new CustomEditColumn('GTIN', 'gtin', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $editColumn->GetCaption()));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for valid_from field
            //
            $editor = new TextEdit('valid_from_edit');
            $editColumn = new CustomEditColumn('gültig von', 'valid_from', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for valid_to field
            //
            $editor = new TextEdit('valid_to_edit');
            $editColumn = new CustomEditColumn('gültig bis', 'valid_to', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
        }
    
        protected function AddMultiEditColumns(Grid $grid)
        {
            //
            // Edit column for waste_nr field
            //
            $editor = new TextEdit('waste_nr_edit');
            $editColumn = new CustomEditColumn('Abfallnummer', 'waste_nr', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddMultiEditColumn($editColumn);
            
            //
            // Edit column for sp_nr field
            //
            $editor = new TextEdit('sp_nr_edit');
            $editColumn = new CustomEditColumn('Spezifizierung', 'sp_nr', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddMultiEditColumn($editColumn);
            
            //
            // Edit column for dangerous_good field
            //
            $editor = new TextEdit('dangerous_good_edit');
            $editColumn = new CustomEditColumn('g/gn', 'dangerous_good', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddMultiEditColumn($editColumn);
            
            //
            // Edit column for description field
            //
            $editor = new TextEdit('description_edit');
            $editColumn = new CustomEditColumn('Bezeichnung', 'description', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddMultiEditColumn($editColumn);
            
            //
            // Edit column for dangerous_description field
            //
            $editor = new TextEdit('dangerous_description_edit');
            $editColumn = new CustomEditColumn('g Text', 'dangerous_description', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddMultiEditColumn($editColumn);
            
            //
            // Edit column for dangerous_sn field
            //
            $editor = new TextEdit('dangerous_sn_edit');
            $editColumn = new CustomEditColumn('g Seriennummer', 'dangerous_sn', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddMultiEditColumn($editColumn);
            
            //
            // Edit column for nondangerous_sn field
            //
            $editor = new TextEdit('nondangerous_sn_edit');
            $editColumn = new CustomEditColumn('ng Seriennummer', 'nondangerous_sn', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddMultiEditColumn($editColumn);
            
            //
            // Edit column for valid_from field
            //
            $editor = new TextEdit('valid_from_edit');
            $editColumn = new CustomEditColumn('gültig von', 'valid_from', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddMultiEditColumn($editColumn);
            
            //
            // Edit column for valid_to field
            //
            $editor = new TextEdit('valid_to_edit');
            $editColumn = new CustomEditColumn('gültig bis', 'valid_to', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddMultiEditColumn($editColumn);
            
            //
            // Edit column for remark field
            //
            $editor = new TextAreaEdit('remark_edit', 50, 8);
            $editColumn = new CustomEditColumn('Remark', 'remark', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddMultiEditColumn($editColumn);
        }
    
        protected function AddInsertColumns(Grid $grid)
        {
            //
            // Edit column for waste_nr field
            //
            $editor = new TextEdit('waste_nr_edit');
            $editColumn = new CustomEditColumn('Abfallnummer', 'waste_nr', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for sp_nr field
            //
            $editor = new TextEdit('sp_nr_edit');
            $editColumn = new CustomEditColumn('Spezifizierung', 'sp_nr', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for dangerous_good field
            //
            $editor = new TextEdit('dangerous_good_edit');
            $editColumn = new CustomEditColumn('g/gn', 'dangerous_good', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for description field
            //
            $editor = new TextEdit('description_edit');
            $editColumn = new CustomEditColumn('Bezeichnung', 'description', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for dangerous_description field
            //
            $editor = new TextEdit('dangerous_description_edit');
            $editColumn = new CustomEditColumn('g Text', 'dangerous_description', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for dangerous_sn field
            //
            $editor = new TextEdit('dangerous_sn_edit');
            $editColumn = new CustomEditColumn('g Seriennummer', 'dangerous_sn', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for nondangerous_sn field
            //
            $editor = new TextEdit('nondangerous_sn_edit');
            $editColumn = new CustomEditColumn('ng Seriennummer', 'nondangerous_sn', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for remark field
            //
            $editor = new TextAreaEdit('remark_edit', 50, 8);
            $editColumn = new CustomEditColumn('Bemerkung', 'remark', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for gtin field
            //
            $editor = new TextEdit('gtin_edit');
            $editColumn = new CustomEditColumn('GTIN', 'gtin', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $editColumn->GetCaption()));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for valid_from field
            //
            $editor = new TextEdit('valid_from_edit');
            $editColumn = new CustomEditColumn('gültig von', 'valid_from', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for valid_to field
            //
            $editor = new TextEdit('valid_to_edit');
            $editColumn = new CustomEditColumn('gültig bis', 'valid_to', $editor, $this->dataset);
            $editColumn->SetAllowSetToNull(true);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            $grid->SetShowAddButton(true && $this->GetSecurityInfo()->HasAddGrant());
        }
    
        private function AddMultiUploadColumn(Grid $grid)
        {
    
        }
    
        protected function AddPrintColumns(Grid $grid)
        {
            //
            // View column for waste_nr field
            //
            $column = new TextViewColumn('waste_nr', 'waste_nr', 'Waste Nr', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_waste_nr_handler_print');
            $grid->AddPrintColumn($column);
            
            //
            // View column for sp_nr field
            //
            $column = new TextViewColumn('sp_nr', 'sp_nr', 'Sp Nr', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_sp_nr_handler_print');
            $grid->AddPrintColumn($column);
            
            //
            // View column for dangerous_good field
            //
            $column = new TextViewColumn('dangerous_good', 'dangerous_good', 'Dangerous Good', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_dangerous_good_handler_print');
            $grid->AddPrintColumn($column);
            
            //
            // View column for description field
            //
            $column = new TextViewColumn('description', 'description', 'Description', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_description_handler_print');
            $grid->AddPrintColumn($column);
            
            //
            // View column for dangerous_description field
            //
            $column = new TextViewColumn('dangerous_description', 'dangerous_description', 'Dangerous Description', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_dangerous_description_handler_print');
            $grid->AddPrintColumn($column);
            
            //
            // View column for dangerous_sn field
            //
            $column = new TextViewColumn('dangerous_sn', 'dangerous_sn', 'Dangerous Sn', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_dangerous_sn_handler_print');
            $grid->AddPrintColumn($column);
            
            //
            // View column for nondangerous_sn field
            //
            $column = new TextViewColumn('nondangerous_sn', 'nondangerous_sn', 'Nondangerous Sn', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_nondangerous_sn_handler_print');
            $grid->AddPrintColumn($column);
            
            //
            // View column for remark field
            //
            $column = new TextViewColumn('remark', 'remark', 'Remark', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_remark_handler_print');
            $grid->AddPrintColumn($column);
            
            //
            // View column for gtin field
            //
            $column = new TextViewColumn('gtin', 'gtin', 'Gtin', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_gtin_handler_print');
            $grid->AddPrintColumn($column);
            
            //
            // View column for valid_from field
            //
            $column = new TextViewColumn('valid_from', 'valid_from', 'Valid From', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_valid_from_handler_print');
            $grid->AddPrintColumn($column);
            
            //
            // View column for valid_to field
            //
            $column = new TextViewColumn('valid_to', 'valid_to', 'Valid To', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_valid_to_handler_print');
            $grid->AddPrintColumn($column);
        }
    
        protected function AddExportColumns(Grid $grid)
        {
            //
            // View column for waste_nr field
            //
            $column = new TextViewColumn('waste_nr', 'waste_nr', 'Waste Nr', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_waste_nr_handler_export');
            $grid->AddExportColumn($column);
            
            //
            // View column for sp_nr field
            //
            $column = new TextViewColumn('sp_nr', 'sp_nr', 'Sp Nr', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_sp_nr_handler_export');
            $grid->AddExportColumn($column);
            
            //
            // View column for dangerous_good field
            //
            $column = new TextViewColumn('dangerous_good', 'dangerous_good', 'Dangerous Good', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_dangerous_good_handler_export');
            $grid->AddExportColumn($column);
            
            //
            // View column for description field
            //
            $column = new TextViewColumn('description', 'description', 'Description', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_description_handler_export');
            $grid->AddExportColumn($column);
            
            //
            // View column for dangerous_description field
            //
            $column = new TextViewColumn('dangerous_description', 'dangerous_description', 'Dangerous Description', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_dangerous_description_handler_export');
            $grid->AddExportColumn($column);
            
            //
            // View column for dangerous_sn field
            //
            $column = new TextViewColumn('dangerous_sn', 'dangerous_sn', 'Dangerous Sn', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_dangerous_sn_handler_export');
            $grid->AddExportColumn($column);
            
            //
            // View column for nondangerous_sn field
            //
            $column = new TextViewColumn('nondangerous_sn', 'nondangerous_sn', 'Nondangerous Sn', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_nondangerous_sn_handler_export');
            $grid->AddExportColumn($column);
            
            //
            // View column for remark field
            //
            $column = new TextViewColumn('remark', 'remark', 'Remark', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_remark_handler_export');
            $grid->AddExportColumn($column);
            
            //
            // View column for gtin field
            //
            $column = new TextViewColumn('gtin', 'gtin', 'Gtin', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_gtin_handler_export');
            $grid->AddExportColumn($column);
            
            //
            // View column for valid_from field
            //
            $column = new TextViewColumn('valid_from', 'valid_from', 'Valid From', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_valid_from_handler_export');
            $grid->AddExportColumn($column);
            
            //
            // View column for valid_to field
            //
            $column = new TextViewColumn('valid_to', 'valid_to', 'Valid To', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_valid_to_handler_export');
            $grid->AddExportColumn($column);
        }
    
        private function AddCompareColumns(Grid $grid)
        {
            //
            // View column for waste_nr field
            //
            $column = new TextViewColumn('waste_nr', 'waste_nr', 'Abfallnummer', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_waste_nr_handler_compare');
            $grid->AddCompareColumn($column);
            
            //
            // View column for sp_nr field
            //
            $column = new TextViewColumn('sp_nr', 'sp_nr', 'Spezifizierung', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_sp_nr_handler_compare');
            $grid->AddCompareColumn($column);
            
            //
            // View column for dangerous_good field
            //
            $column = new TextViewColumn('dangerous_good', 'dangerous_good', 'g/gn', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_dangerous_good_handler_compare');
            $grid->AddCompareColumn($column);
            
            //
            // View column for description field
            //
            $column = new TextViewColumn('description', 'description', 'Bezeichnung', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_description_handler_compare');
            $grid->AddCompareColumn($column);
            
            //
            // View column for dangerous_description field
            //
            $column = new TextViewColumn('dangerous_description', 'dangerous_description', 'g Text', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_dangerous_description_handler_compare');
            $grid->AddCompareColumn($column);
            
            //
            // View column for dangerous_sn field
            //
            $column = new TextViewColumn('dangerous_sn', 'dangerous_sn', 'g Seriennummer', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_dangerous_sn_handler_compare');
            $grid->AddCompareColumn($column);
            
            //
            // View column for nondangerous_sn field
            //
            $column = new TextViewColumn('nondangerous_sn', 'nondangerous_sn', 'ng Seriennummer', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_nondangerous_sn_handler_compare');
            $grid->AddCompareColumn($column);
            
            //
            // View column for gtin field
            //
            $column = new TextViewColumn('gtin', 'gtin', 'GTIN', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_gtin_handler_compare');
            $grid->AddCompareColumn($column);
            
            //
            // View column for valid_from field
            //
            $column = new TextViewColumn('valid_from', 'valid_from', 'gültig von', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_valid_from_handler_compare');
            $grid->AddCompareColumn($column);
            
            //
            // View column for valid_to field
            //
            $column = new TextViewColumn('valid_to', 'valid_to', 'gültig bis', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(30);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_valid_to_handler_compare');
            $grid->AddCompareColumn($column);
            
            //
            // View column for remark field
            //
            $column = new TextViewColumn('remark', 'remark', 'Remark', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('public_tariff_edm_waste_catalogGrid_remark_handler_compare');
            $grid->AddCompareColumn($column);
        }
    
        private function AddCompareHeaderColumns(Grid $grid)
        {
    
        }
    
        public function GetPageDirection()
        {
            return null;
        }
    
        public function isFilterConditionRequired()
        {
            return true;
        }
    
        protected function ApplyCommonColumnEditProperties(CustomEditColumn $column)
        {
            $column->SetDisplaySetToNullCheckBox(false);
            $column->SetDisplaySetToDefaultCheckBox(false);
    		$column->SetVariableContainer($this->GetColumnVariableContainer());
        }
    
        function GetCustomClientScript()
        {
            return ;
        }
        
        function GetOnPageLoadedClientScript()
        {
            return ;
        }
        
        public function GetEnableModalGridInsert() { return true; }
        public function GetEnableModalSingleRecordView() { return true; }
        
        public function GetEnableModalGridEdit() { return true; }
        
        protected function GetEnableModalGridDelete() { return true; }
    
        protected function CreateGrid()
        {
            $result = new Grid($this, $this->dataset);
            if ($this->GetSecurityInfo()->HasDeleteGrant())
               $result->SetAllowDeleteSelected(false);
            else
               $result->SetAllowDeleteSelected(false);   
            
            ApplyCommonPageSettings($this, $result);
            
            $result->SetUseImagesForActions(true);
            $result->SetUseFixedHeader(false);
            $result->SetShowLineNumbers(false);
            $result->SetViewMode(ViewMode::TABLE);
            $result->setEnableRuntimeCustomization(true);
            $result->setAllowCompare(true);
            $this->AddCompareHeaderColumns($result);
            $this->AddCompareColumns($result);
            $result->setMultiEditAllowed($this->GetSecurityInfo()->HasEditGrant() && false);
            $result->setTableBordered(false);
            $result->setTableCondensed(false);
            
            $result->SetHighlightRowAtHover(false);
            $result->SetWidth('');
            $this->AddOperationsColumns($result);
            $this->AddFieldColumns($result);
            $this->AddSingleRecordViewColumns($result);
            $this->AddEditColumns($result);
            $this->AddMultiEditColumns($result);
            $this->AddInsertColumns($result);
            $this->AddPrintColumns($result);
            $this->AddExportColumns($result);
            $this->AddMultiUploadColumn($result);
    
    
            $this->SetShowPageList(true);
            $this->SetShowTopPageNavigator(true);
            $this->SetShowBottomPageNavigator(false);
            $this->setPrintListAvailable(true);
            $this->setPrintListRecordAvailable(false);
            $this->setPrintOneRecordAvailable(true);
            $this->setAllowPrintSelectedRecords(true);
            $this->setExportListAvailable(array('pdf', 'excel', 'word', 'xml', 'csv'));
            $this->setExportSelectedRecordsAvailable(array('pdf', 'excel', 'word', 'xml', 'csv'));
            $this->setExportListRecordAvailable(array());
            $this->setExportOneRecordAvailable(array('pdf', 'excel', 'word', 'xml', 'csv'));
    
            return $result;
        }
     
        protected function setClientSideEvents(Grid $grid) {
    
        }
    
        protected function doRegisterHandlers() {
            //
            // View column for waste_nr field
            //
            $column = new TextViewColumn('waste_nr', 'waste_nr', 'Abfallnummer', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_waste_nr_handler_list', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for sp_nr field
            //
            $column = new TextViewColumn('sp_nr', 'sp_nr', 'Spezifizierung', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_sp_nr_handler_list', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for dangerous_good field
            //
            $column = new TextViewColumn('dangerous_good', 'dangerous_good', 'g/gn', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_dangerous_good_handler_list', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for description field
            //
            $column = new TextViewColumn('description', 'description', 'Bezeichnung', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_description_handler_list', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for dangerous_sn field
            //
            $column = new TextViewColumn('dangerous_sn', 'dangerous_sn', 'g Seriennummer', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_dangerous_sn_handler_list', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for nondangerous_sn field
            //
            $column = new TextViewColumn('nondangerous_sn', 'nondangerous_sn', 'ng Seriennummer', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_nondangerous_sn_handler_list', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for gtin field
            //
            $column = new TextViewColumn('gtin', 'gtin', 'GTIN', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_gtin_handler_list', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for valid_to field
            //
            $column = new TextViewColumn('valid_to', 'valid_to', 'gültig bis', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_valid_to_handler_list', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for waste_nr field
            //
            $column = new TextViewColumn('waste_nr', 'waste_nr', 'Waste Nr', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_waste_nr_handler_print', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for sp_nr field
            //
            $column = new TextViewColumn('sp_nr', 'sp_nr', 'Sp Nr', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_sp_nr_handler_print', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for dangerous_good field
            //
            $column = new TextViewColumn('dangerous_good', 'dangerous_good', 'Dangerous Good', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_dangerous_good_handler_print', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for description field
            //
            $column = new TextViewColumn('description', 'description', 'Description', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_description_handler_print', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for dangerous_description field
            //
            $column = new TextViewColumn('dangerous_description', 'dangerous_description', 'Dangerous Description', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_dangerous_description_handler_print', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for dangerous_sn field
            //
            $column = new TextViewColumn('dangerous_sn', 'dangerous_sn', 'Dangerous Sn', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_dangerous_sn_handler_print', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for nondangerous_sn field
            //
            $column = new TextViewColumn('nondangerous_sn', 'nondangerous_sn', 'Nondangerous Sn', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_nondangerous_sn_handler_print', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for remark field
            //
            $column = new TextViewColumn('remark', 'remark', 'Remark', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_remark_handler_print', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for gtin field
            //
            $column = new TextViewColumn('gtin', 'gtin', 'Gtin', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_gtin_handler_print', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for valid_from field
            //
            $column = new TextViewColumn('valid_from', 'valid_from', 'Valid From', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_valid_from_handler_print', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for valid_to field
            //
            $column = new TextViewColumn('valid_to', 'valid_to', 'Valid To', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_valid_to_handler_print', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for waste_nr field
            //
            $column = new TextViewColumn('waste_nr', 'waste_nr', 'Abfallnummer', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_waste_nr_handler_compare', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for sp_nr field
            //
            $column = new TextViewColumn('sp_nr', 'sp_nr', 'Spezifizierung', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_sp_nr_handler_compare', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for dangerous_good field
            //
            $column = new TextViewColumn('dangerous_good', 'dangerous_good', 'g/gn', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_dangerous_good_handler_compare', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for description field
            //
            $column = new TextViewColumn('description', 'description', 'Bezeichnung', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_description_handler_compare', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for dangerous_description field
            //
            $column = new TextViewColumn('dangerous_description', 'dangerous_description', 'g Text', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_dangerous_description_handler_compare', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for dangerous_sn field
            //
            $column = new TextViewColumn('dangerous_sn', 'dangerous_sn', 'g Seriennummer', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_dangerous_sn_handler_compare', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for nondangerous_sn field
            //
            $column = new TextViewColumn('nondangerous_sn', 'nondangerous_sn', 'ng Seriennummer', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_nondangerous_sn_handler_compare', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for gtin field
            //
            $column = new TextViewColumn('gtin', 'gtin', 'GTIN', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_gtin_handler_compare', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for valid_from field
            //
            $column = new TextViewColumn('valid_from', 'valid_from', 'gültig von', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_valid_from_handler_compare', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for valid_to field
            //
            $column = new TextViewColumn('valid_to', 'valid_to', 'gültig bis', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_valid_to_handler_compare', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for remark field
            //
            $column = new TextViewColumn('remark', 'remark', 'Remark', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_remark_handler_compare', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for waste_nr field
            //
            $column = new TextViewColumn('waste_nr', 'waste_nr', 'Abfallnummer', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_waste_nr_handler_view', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for sp_nr field
            //
            $column = new TextViewColumn('sp_nr', 'sp_nr', 'Spezifizierung', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_sp_nr_handler_view', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for dangerous_good field
            //
            $column = new TextViewColumn('dangerous_good', 'dangerous_good', 'g/gn', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_dangerous_good_handler_view', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for description field
            //
            $column = new TextViewColumn('description', 'description', 'Bezeichnung', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_description_handler_view', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for dangerous_description field
            //
            $column = new TextViewColumn('dangerous_description', 'dangerous_description', 'g Text', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_dangerous_description_handler_view', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for dangerous_sn field
            //
            $column = new TextViewColumn('dangerous_sn', 'dangerous_sn', 'g Seriennummer', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_dangerous_sn_handler_view', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for nondangerous_sn field
            //
            $column = new TextViewColumn('nondangerous_sn', 'nondangerous_sn', 'ng Seriennummer', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_nondangerous_sn_handler_view', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for remark field
            //
            $column = new TextViewColumn('remark', 'remark', 'Bemerkung', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_remark_handler_view', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for gtin field
            //
            $column = new TextViewColumn('gtin', 'gtin', 'GTIN', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_gtin_handler_view', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for valid_from field
            //
            $column = new TextViewColumn('valid_from', 'valid_from', 'gültig von', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_valid_from_handler_view', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            
            //
            // View column for valid_to field
            //
            $column = new TextViewColumn('valid_to', 'valid_to', 'gültig bis', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'public_tariff_edm_waste_catalogGrid_valid_to_handler_view', $column);
            GetApplication()->RegisterHTTPHandler($handler);
        }
       
        protected function doCustomRenderColumn($fieldName, $fieldData, $rowData, &$customText, &$handled)
        { 
    
        }
    
        protected function doCustomRenderPrintColumn($fieldName, $fieldData, $rowData, &$customText, &$handled)
        { 
    
        }
    
        protected function doCustomRenderExportColumn($exportType, $fieldName, $fieldData, $rowData, &$customText, &$handled)
        { 
    
        }
    
        protected function doCustomDrawRow($rowData, &$cellFontColor, &$cellFontSize, &$cellBgColor, &$cellItalicAttr, &$cellBoldAttr)
        {
    
        }
    
        protected function doExtendedCustomDrawRow($rowData, &$rowCellStyles, &$rowStyles, &$rowClasses, &$cellClasses)
        {
    
        }
    
        protected function doCustomRenderTotal($totalValue, $aggregate, $columnName, &$customText, &$handled)
        {
    
        }
    
        protected function doCustomDefaultValues(&$values, &$handled) 
        {
    
        }
    
        protected function doCustomCompareColumn($columnName, $valueA, $valueB, &$result)
        {
    
        }
    
        protected function doBeforeInsertRecord($page, &$rowData, $tableName, &$cancel, &$message, &$messageDisplayTime)
        {
    
        }
    
        protected function doBeforeUpdateRecord($page, $oldRowData, &$rowData, $tableName, &$cancel, &$message, &$messageDisplayTime)
        {
    
        }
    
        protected function doBeforeDeleteRecord($page, &$rowData, $tableName, &$cancel, &$message, &$messageDisplayTime)
        {
    
        }
    
        protected function doAfterInsertRecord($page, $rowData, $tableName, &$success, &$message, &$messageDisplayTime)
        {
    
        }
    
        protected function doAfterUpdateRecord($page, $oldRowData, $rowData, $tableName, &$success, &$message, &$messageDisplayTime)
        {
    
        }
    
        protected function doAfterDeleteRecord($page, $rowData, $tableName, &$success, &$message, &$messageDisplayTime)
        {
    
        }
    
        protected function doCustomHTMLHeader($page, &$customHtmlHeaderText)
        { 
    
        }
    
        protected function doGetCustomTemplate($type, $part, $mode, &$result, &$params)
        {
    
        }
    
        protected function doGetCustomExportOptions(Page $page, $exportType, $rowData, &$options)
        {
    
        }
    
        protected function doFileUpload($fieldName, $rowData, &$result, &$accept, $originalFileName, $originalFileExtension, $fileSize, $tempFileName)
        {
    
        }
    
        protected function doPrepareChart(Chart $chart)
        {
    
        }
    
        protected function doPrepareColumnFilter(ColumnFilter $columnFilter)
        {
    
        }
    
        protected function doPrepareFilterBuilder(FilterBuilder $filterBuilder, FixedKeysArray $columns)
        {
    
        }
    
        protected function doGetSelectionFilters(FixedKeysArray $columns, &$result)
        {
    
        }
    
        protected function doGetCustomFormLayout($mode, FixedKeysArray $columns, FormLayout $layout)
        {
    
        }
    
        protected function doGetCustomColumnGroup(FixedKeysArray $columns, ViewColumnGroup $columnGroup)
        {
    
        }
    
        protected function doPageLoaded()
        {
    
        }
    
        protected function doCalculateFields($rowData, $fieldName, &$value)
        {
    
        }
    
        protected function doGetCustomPagePermissions(Page $page, PermissionSet &$permissions, &$handled)
        {
    
        }
    
        protected function doGetCustomRecordPermissions(Page $page, &$usingCondition, $rowData, &$allowEdit, &$allowDelete, &$mergeWithDefault, &$handled)
        {
    
        }
    
    }

    SetUpUserAuthorization();

    try
    {
        $Page = new public_tariff_edm_waste_catalogPage("public_tariff_edm_waste_catalog", "frmTariff_edm_waste_catalog.php", GetCurrentUserPermissionSetForDataSource("public.tariff_edm_waste_catalog"), 'UTF-8');
        $Page->SetRecordPermission(GetCurrentUserRecordPermissionsForDataSource("public.tariff_edm_waste_catalog"));
        GetApplication()->SetMainPage($Page);
        GetApplication()->Run();
    }
    catch(Exception $e)
    {
        ShowErrorPage($e);
    }
	
